class_name Crosshair
extends CenterContainer

const CROSSHAIR_RETURN_SPEED = 30

@onready var crosshair_circle: TextureRect = $CrosshairContainer/CrosshairCircle
@onready var crosshair_dot: TextureRect = $CrosshairContainer/CrosshairDot


func jostle(delta: Vector2) -> void:
	crosshair_circle.position += delta


func _process(delta: float) -> void:
	crosshair_circle.position = crosshair_circle.position.lerp(
		Vector2.ZERO, delta * CROSSHAIR_RETURN_SPEED
	)
